PLplot: wxwidgets.cpp File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions | Variables
wxwidgets.cpp File Reference
`#include <wx/wx.h>`
`#include <wx/wfstream.h>`
`#include <wx/except.h>`
`#include "plDevs.h"`
`#include "plplotP.h"`
`#include "drivers.h"`
`#include <cstdio>`
`#include "wxwidgets.h"`

Go to the source code of this file.

## Functions
static void | install_buffer (PLStream *pls)
static void | wxRunApp (PLStream *pls, bool runonce=false)
static void | GetCursorCmd (PLStream *pls, PLGraphicsIn *ptr)
static void | fill_polygon (PLStream *pls)
void | Log_Verbose (const char *fmt,...)
void | Log_Debug (const char *fmt,...)
wxPLDevBase * | common_init (PLStream *pls)
void | plD_line_wxwidgets (PLStream *pls, short x1a, short y1a, short x2a, short y2a)
void | plD_polyline_wxwidgets (PLStream *pls, short *xa, short *ya, PLINT npts)
void | plD_eop_wxwidgets (PLStream *pls)
void | plD_bop_wxwidgets (PLStream *pls)
void | plD_tidy_wxwidgets (PLStream *pls)
void | plD_state_wxwidgets (PLStream *pls, PLINT op)
void | plD_esc_wxwidgets (PLStream *pls, PLINT op, void *ptr)
void | wx_set_size (PLStream *pls, int width, int height)
int | plD_errorexithandler_wxwidgets (const char *errormessage)
void | plD_erroraborthandler_wxwidgets (const char *errormessage)

## Variables
PLDLLIMPEXP_DRIVER const char * | plD_DEVICE_INFO_wxwidgets

## Function Documentation

wxPLDevBase* common_init | ( | PLStream * | pls | ) |

Definition at line 329 of file wxwidgets.cpp.

static void fill_polygon | ( | PLStream * | pls | ) |
| static

Definition at line 946 of file wxwidgets.cpp.

static void GetCursorCmd | ( | PLStream * | pls,
|  | PLGraphicsIn * | ptr
| ) |  |
| static

Definition at line 1239 of file wxwidgets.cpp.

static void install_buffer | ( | PLStream * | pls | ) |
| static

Definition at line 1278 of file wxwidgets.cpp.

void Log_Debug | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 92 of file wxwidgets.cpp.

void Log_Verbose | ( | const char * | fmt,
|  |  | ...
| ) |  |

Definition at line 71 of file wxwidgets.cpp.

void plD_bop_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 723 of file wxwidgets.cpp.

void plD_eop_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 684 of file wxwidgets.cpp.

void plD_erroraborthandler_wxwidgets | ( | const char * | errormessage | ) |

Definition at line 1040 of file wxwidgets.cpp.

int plD_errorexithandler_wxwidgets | ( | const char * | errormessage | ) |

Definition at line 1022 of file wxwidgets.cpp.

void plD_esc_wxwidgets | ( | PLStream * | pls,
|  | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 854 of file wxwidgets.cpp.

void plD_line_wxwidgets | ( | PLStream * | pls,
|  | short | x1a,
|  | short | y1a,
|  | short | x2a,
|  | short | y2a
| ) |  |

Definition at line 623 of file wxwidgets.cpp.

void plD_polyline_wxwidgets | ( | PLStream * | pls,
|  | short * | xa,
|  | short * | ya,
|  | PLINT | npts
| ) |  |

Definition at line 652 of file wxwidgets.cpp.

void plD_state_wxwidgets | ( | PLStream * | pls,
|  | PLINT | op
| ) |  |

Definition at line 811 of file wxwidgets.cpp.

void plD_tidy_wxwidgets | ( | PLStream * | pls | ) |

Definition at line 778 of file wxwidgets.cpp.

void wx_set_size | ( | PLStream * | pls,
|  | int | width,
|  | int | height
| ) |  |

Definition at line 975 of file wxwidgets.cpp.

static void wxRunApp | ( | PLStream * | pls,
|  | bool | runonce = `false`
| ) |  |
| static

Definition at line 1363 of file wxwidgets.cpp.

## Variable Documentation

PLDLLIMPEXP_DRIVER const char* plD_DEVICE_INFO_wxwidgets

Definition at line 118 of file wxwidgets.cpp.